{
  description = "https://foxxolay.com";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-parts.url = "github:hercules-ci/flake-parts";
  };

  outputs = inputs: inputs.flake-parts.lib.mkFlake { inherit inputs; } {
    systems = [ "x86_64-linux" "aarch64-linux" ];
    perSystem = { config, self', pkgs, lib, system, ... }: {
      packages.default = pkgs.stdenvNoCC.mkDerivation {
        name = "foxxolay.com";
        src = ./.;
        installPhase = ''
          cp -r . $out/
          cd $out
          rm -rf .* *.nix *.lock
        '';
      };
    };
  };
}